<?php
 
namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Microsoft\Graph\Graph;
use Microsoft\Graph\Model;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\DB;

class LogedInUser extends Controller
{

    public function getUserConventions($type)
    {
        try { // Ajouté par Florian pour tester l'expiration du token
            if ($type == 'particuliers') { $typeConvention = 'PART'; }
            elseif ($type == 'professionnels') { $typeConvention = 'PRO'; }

            $viewData = $this->loadViewData();
            $graph = new Graph();

            $graph->setAccessToken(session('accessToken'));

            $photo = $graph->createRequest('GET', '/me/photo/$value')
            ->execute();

            try {
                $allowedAdminMember = $graph->createRequest('GET', '/users/'.$viewData['userEmail'].'/memberOf?$filter=id eq \'b1081558-ce3c-411d-afaf-596c0a3159ea\'')
                ->setReturnType(Model\User::class)
                ->execute();
                $viewData['allowedAdminMember'] = $allowedAdminMember;
            }
            catch (\Exception $e) {
                $viewData['allowedAdminMember'] = null;
            }

            $dbConventionResult =  DB::table('convention')
            ->where('TYPE', '=', $typeConvention)
            ->get();

            $viewData['photo'] = 'data:image/jpeg;base64,'.base64_encode($photo->getRawBody()).'';

            $viewData['dbConventionResult'] = $dbConventionResult;

            $viewData['type'] = $type;

            return view('conventions',$viewData);
        }
        catch (\Exception $e) {
            return redirect('/');
        }
    }

    public function getUsersMemberOfIccFinanceOld() {

        $viewData = $this->loadViewData();

        $graph = new Graph();

        $graph->setAccessToken(session('accessToken'));

        $membersOfIccDefaultGroup = $graph->createRequest('GET', '/groups/2b91b7fe-ac0c-4dee-9ddd-68b89ef136b9/members?$select=id,displayName') // Cherche les membres du groupe "[ICC] Utilisateurs Icc Finance"
        ->setReturnType(Model\Group::class)
        ->execute();

        $allMembersOfIccDefaultGroup = array();
        
        foreach ($membersOfIccDefaultGroup as $index=>$subGroupsMembers) {

            $attributesUsers = 'id,displayName,userPrincipalName,jobTitle,officeLocation,createdDateTime,mobilePhone,department';

            $membersOfEachGroup = $graph->createRequest('GET', '/groups/'.$subGroupsMembers->getId().'/members?$select='.$attributesUsers) // Cherche les membres du groupe "[ICC] Utilisateurs Icc Finance"
            ->setReturnType(Model\User::class)
            ->execute();

            array_push($allMembersOfIccDefaultGroup,[$membersOfEachGroup,$subGroupsMembers->getDisplayName()]);

        }

        $photo = $graph->createRequest('GET', '/me/photo/$value')->execute();

        $allUsers =  DB::table('rh_employees')->get();

        $viewData['allUsers'] = $allUsers;

        return view('membresIcc',$viewData);

    }

    public function getUsersMemberOfIccFinance() {

        $viewData = $this->loadViewData();

        $graph = new Graph();

        $graph->setAccessToken(session('accessToken'));

        $photo = $graph->createRequest('GET', '/me/photo/$value')->execute();

        $allUsers = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            ->get();

        $viewData['allUsers'] = $allUsers;
        $viewData['photo'] = 'data:image/jpeg;base64,'.base64_encode($photo->getRawBody()).'';

        return view('membresIcc',$viewData);

    }
    
}


