<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Azure AD Authentication Routes
Route::get('/', [App\Http\Controllers\AuthController::class, 'signin']) -> name('app_signin');
Route::get('/callback', [App\Http\Controllers\AuthController::class, 'callback']) -> name('app_callback');
Route::get('/signout', [App\Http\Controllers\AuthController::class, 'signout']) -> name('app_signout');

// Main Routes
// Route::get('/conventions/{type}',[App\Http\Controllers\LogedInUser::class, 'getUserConventions']) -> name('user_info_part');

// File Import/Export Routes
Route::get('/export',[App\Http\Controllers\ExportConventionsController::class, 'export']) -> name('export_conv');
Route::post('/import',[App\Http\Controllers\ImportConventionsController::class, 'import']) -> name('import_conv');
Route::post('/importagence',[App\Http\Controllers\ImportConventionsController::class, 'importAgence']) -> name('import_conv');

## PROJET GESTION RH
Route::get('/employe/{filter}',[App\Http\Controllers\GetInfoIccController::class, 'getInfoIccAllHr']) -> name('membres_icc');
Route::post('/employe/creation',[App\Http\Controllers\AddUpdateUserController::class, 'addUser']) -> name('create_employee');
Route::post('/employe/update',[App\Http\Controllers\AddUpdateUserController::class, 'updateUser']) -> name('update_employee');

Route::get('/agence/{filter}',[App\Http\Controllers\GetInfoIccController::class, 'getInfoIccAllAgences']) -> name('agences_icc');
Route::post('/agence/creation',[App\Http\Controllers\AddUpdateAgenceController::class, 'addAgence']) -> name('create_agence');
Route::post('/agence/update',[App\Http\Controllers\AddUpdateAgenceController::class, 'updateAgence']) -> name('update_agence');


Route::get('/employe/updateidagence',[App\Http\Controllers\UpdateAgenceFKController::class, 'updateEmployeeFKAgenceId']) -> name('update_employeeAgenceId');
Route::get('/employe/updatephoto',[App\Http\Controllers\UpdateEmployeesPhotosController::class, 'updateEmployeesInfos']) -> name('update_employeePhoto');
Route::get('/employe/updateorias',[App\Http\Controllers\UpdateOriasFKController::class, 'updateOriasFKEmployeeId']) -> name('update_oriasTable');
Route::get('/employe/updateieam',[App\Http\Controllers\UpdateIeamFKController::class, 'updateIeamFKEmployeeId']) -> name('update_ieamTable');
Route::get('/employe/updateafib',[App\Http\Controllers\UpdateAfibFKController::class, 'updateAfibFKEmployeeId']) -> name('update_afibTable');
Route::get('/employe/updateidaad',[App\Http\Controllers\UpdateEnabledAccountsController::class, 'updateEmployeesIdAad']) -> name('update_idaad');
Route::get('/employe/updatedirecteurs',[App\Http\Controllers\UpdateDirectorsController::class, 'updateDirectors']) -> name('update_directors');

